Package com.xebialabs.xlrelease.domain

# Class Team

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.Team

All Implemented Interfaces:
  `ConfigurationItem`, `TeamPermissionOperations`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class Team extends BaseConfigurationItem implements TeamPermissionOperations
The Team domain object in Digital.ai Release is a transient object and is not saved into the repository. It is kept for backwards-compatibility, as it was part of the public API. The teams' data is stored by the platform using the `RoleService` and the platform's own `Role` object.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FOLDER_OWNER_TEAMNAME`
  `static final String`
  `RELEASE_ADMIN_TEAMNAME`
  `static final String`
  `TEMPLATE_OWNER_TEAMNAME`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Team()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMember(String newMember)`
  `void`
  `addMembers(String[] members)`
  `void`
  `addPermission(String permission)`
  `void`
  `addPermissions(String[] permissions)`
  `void`
  `addRole(String newRole)`
  `void`
  `addRoles(String[] roles)`
  `boolean`
  `equals(Object obj)`
  `List<String>`
  `getMembers()`
  `List<String>`
  `getPermissions()`
  `List<String>`
  `getRoles()`
  `String`
  `getTeamName()`
  `boolean`
  `hasAnyMember(Collection<String> members)`
  `boolean`
  `hasAnyRole(List<com.xebialabs.deployit.security.Role> roles)`
  `int`
  `hashCode()`
  `boolean`
  `hasMember(String username)`
  `boolean`
  `hasPermission(String permission)`
  `boolean`
  `hasRole(String role)`
  `static boolean`
  `isSystemTeam(String teamName)`
  `void`
  `setMembers(List<String> members)`
  `void`
  `setPermissions(List<String> permissions)`
  `void`
  `setRoles(List<String> roles)`
  `void`
  `setTeamName(String teamName)`
  `String`
  `toString()`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.TeamPermissionOperations

  `isFolderAdminTeam, isFolderOwnerTeam, isReleaseAdminTeam, isSystemTeam, isTemplateOwnerTeam`

- ## Field Details

  - ### FOLDER_OWNER_TEAMNAME

    public static final String FOLDER_OWNER_TEAMNAME
    See Also:
      - Constant Field Values

  - ### TEMPLATE_OWNER_TEAMNAME

    public static final String TEMPLATE_OWNER_TEAMNAME
    See Also:
      - Constant Field Values

  - ### RELEASE_ADMIN_TEAMNAME

    public static final String RELEASE_ADMIN_TEAMNAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Team

    public Team()

- ## Method Details

  - ### getTeamName

    public String getTeamName()
    Specified by:
      `getTeamName` in interface `TeamPermissionOperations`

  - ### setTeamName

    public void setTeamName(String teamName)

  - ### hasMember

    public boolean hasMember(String username)

  - ### hasAnyMember

    public boolean hasAnyMember(Collection<String> members)

  - ### hasPermission

    public boolean hasPermission(String permission)
    Specified by:
      `hasPermission` in interface `TeamPermissionOperations`

  - ### getMembers

    public List<String> getMembers()

  - ### setMembers

    public void setMembers(List<String> members)

  - ### addMember

    public void addMember(String newMember)

  - ### getRoles

    public List<String> getRoles()

  - ### setRoles

    public void setRoles(List<String> roles)

  - ### addRole

    public void addRole(String newRole)

  - ### hasRole

    public boolean hasRole(String role)

  - ### hasAnyRole

    public boolean hasAnyRole(List<com.xebialabs.deployit.security.Role> roles)

  - ### getPermissions

    public List<String> getPermissions()

  - ### setPermissions

    public void setPermissions(List<String> permissions)

  - ### addPermission

    public void addPermission(String permission)

  - ### addMembers

    public void addMembers(String[] members)

  - ### addRoles

    public void addRoles(String[] roles)

  - ### addPermissions

    public void addPermissions(String[] permissions)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `BaseConfigurationItem`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseConfigurationItem`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseConfigurationItem`

  - ### isSystemTeam

    public static boolean isSystemTeam(String teamName)